Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576893 (CVE-2017-14474) - CVE-2017-14474 mysql-mmm: arbitrary command execution with the privileges of the mmm_agentd process
Summary: CVE-2017-14474 mysql-mmm: arbitrary command execution with the privileges of ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-14474
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1576894 1576895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 16:10 UTC by Laura Pardo
Modified: 2019-09-29 14:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:37 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-10 16:10:22 UTC
In the MMM::Agent::Helpers::_execute function in MySQL Multi-Master Replication Manager (MMM) mmm_agentd 2.2.1, a specially crafted MMM protocol message can cause a shell command injection resulting in arbitrary command execution with the privileges of the mmm_agentd process. An attacker that can initiate a TCP session with mmm_agentd can trigger this vulnerability.


References:
https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0501
https://bugzilla.redhat.com/show_bug.cgi?id=1575161

Comment 1 Laura Pardo 2018-05-10 16:10:51 UTC
Created mysql-mmm tracking bugs for this issue:

Affects: epel-all [bug 1576895]
Affects: fedora-all [bug 1576894]

Comment 2 Product Security DevOps Team 2019-06-10 10:22:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.